.modal {
  color: #fff;
  padding: 1.5em 0;

  @include mobile {
    padding: 5em 0;
  }

  .modal-content {
    width: 60vmin;
    height: 100%;
    max-height: 70vmin;
    padding: 1em;
    border-radius: 0;
    background: $primary-color-dark;
    display: flex;
    flex-direction: column;
    position: relative;
    b {
      font-weight: 600;
      color: $secondary-color;
    }
  }

  .title {
    margin-top: 4vmin;
    font-size: 4vmin;
  }

  .btn-close {
    font-size: 4vmin;
    line-height: 1em;
    width: 25vmin;
    height: 4vmin;
    text-align: right;
    padding-right: 7vmin;
    background: url(//cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/btn_nav_2.png) bottom right/ 100% no-repeat;
    position: absolute;
    top: 0;
    right: 0;
    cursor: pointer;
    &:hover {
      opacity: 0.8;
    }
    // svg {
    //   width: 80%;

    //   .shape {
    //     fill: $primary-color;
    //     stroke: $primary-color;
    //     stroke-width: 16px;
    //   }
    // }
  }

  .btn__submit {
    font-family: $secondary-font;
    font-size: 4vmin;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    span {
      padding: 0 10vmin;
      line-height: 1.25em;
      background: url(https://cdngarenanow-a.akamaihd.net/webth/cdn/rov/rpl2020/btn_red.png) top center / contain no-repeat;
    }
    &:hover {
      opacity: 0.8;
    }
  }

  .btn {
    margin-bottom: 0;

    &-tab,
    &-filter {
      margin: 0.5em;
      padding: 0.5em 0.25em;
      min-width: 6em;
      font-weight: 600;
      font-size: 0.75em;
      cursor: pointer;
      user-select: none;
      display: inline-block;

      &:hover {
        filter: brightness(120%);
      }
    }

    &-tab {
      border: 1px solid rgba(white, 0.8);

      &:hover {
        background: rgba(white, 0.05);
      }
      &.active {
        background: rgba(white, 0.33);
      }
    }

    &-filter {
      background: $third-color;
      border: 1px solid $third-color;

      filter: saturate(33%) grayscale(66%);

      &:hover {
        filter: saturate(33%) grayscale(66%) brightness(120%);
      }

      &.active {
        filter: none;

        &:hover {
          filter: brightness(120%);
        }
      }
    }
  }

  .player-search {
    position: relative;
    margin: 0 auto 0.45em;
    display: inline-block;

    input[type="text"] {
      width: 20.3em;
    }

    .btn-search {
      top: 0;
      right: 0;
      cursor: pointer;
      position: absolute;
      padding: 0.25em 0.5em;
      color: $secondary-color;
    }
  }

  img.item-icon {
    width: 6em;
    padding: 0.5em;
  }

  input[type="text"] {
    margin: 0;
    width: 82%;
    font-weight: 700;
    background: none;
    padding: 0.25em 0.5em;
    color: #fff;
    border: 1px solid rgba(white, 0.8);
    border-right: transparent;
    &.error {
      margin-bottom: 0.25em;
      border-color: $third-color;
    }

    &::placeholder {
      font-style: italic;
      // color: rgba(#04353e, 0.75);
    }
  }

  .txt-error {
    color: $third-color;
  }

  input[type="checkbox"] {
    width: 1.2em;
    height: 1.2em;
    margin-right: 0.75em;
    vertical-align: middle;
  }

  .checkrule {
    font-weight: 700;

    a {
      cursor: pointer;
      color: #388ac5;
      text-decoration: underline;
    }
  }

  .player_scroll {
    margin-top: 7%;
  }

  .players {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -0.5em;

    .player {
      flex: 0 0 33%;
      max-width: 33%;
      padding: 0 0.5em;
      filter: grayscale(1);
      cursor: pointer;

      svg {
        width: 100%;
        height: auto;

        .playername {
          font-family: "GTAmerica-CompressedBold", Tahoma;
          text-transform: uppercase;
        }
      }

      &.active {
        filter: brightness(110%);
      }
    }
  }

  table {
    width: 100%;

    th,
    td {
      padding: 0.25em 1em;
      text-align: center;
      border-left: 1px solid #fff;
      &:first-child {
        border-left: 0;
      }
    }

    th {
      text-transform: uppercase;
      background: #424242;
    }
  }

  .section-copy {
    position: relative;
    margin-bottom: 0.5em;

    .btn-copy {
      top: 0;
      right: 0;
      position: absolute;

      cursor: pointer;
      padding: 0.3em 1em 0.2em;
      text-transform: uppercase;

      border: 1px solid rgba(255, 255, 255, 0.8);
      &:hover {
        font-weight: 700;
      }
    }
  }

  .btn-share {
    display: inline-block;
    margin: 0.25em 0em 0.25em 0.75em;
    cursor: pointer;

    img {
      width: 2em;
    }
  }

  .vods {
    display: flex;
    flex-wrap: wrap;
    margin: 0 -0.5em;
  }

  .vod {
    flex: 0 0 50%;
    max-width: 50%;
    padding: 0 0.5em;
    margin-bottom: 1em;

    .vod-thumb {
      cursor: pointer;
      object-fit: contain;
      object-position: center;
      background-color: #6b5e48;
    }

    .vod-title {
      margin: 0.75em 0;
      text-align: justify;
      color: $primary-color-dark;
    }
  }

  .livestream {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;

    padding: 0 0.5em;

    .video {
      margin: 0 auto 1em;
      max-width: 70vh;
    }

    .image {
      flex-grow: 1;
      position: relative;
      max-height: 15em;

      img {
        position: absolute;
        display: block;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        width: 100%;
        height: 100%;

        object-fit: contain;

        @include mobile {
          padding: 1em;
        }
      }
    }

  }
}

.videoWrapper {
	position: relative;
	padding-bottom: 56.25%; /* 16:9 */
	padding-top: 25px;
	height: 0;
}
.videoWrapper iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}